
// VTC6221_UtilityDlg.h : header file
//

#pragma once
#include "afxcmn.h"
#include "afxwin.h"
#include "DialogConfigTab1.h"
#include "DialogConfigTab2.h"
#include "DialogConfigTab3.h"
#include "DialogConfigTab4.h"
#include "DialogConfigTab5.h"
#include "DialogConfigTab6.h"


// CVTC6221_UtilityDlg dialog
class CVTC6221_UtilityDlg : public CDialog
{
// Construction
public:
	CVTC6221_UtilityDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_VTC6221_UTILITY_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()

	afx_msg void OnDestroy();
	afx_msg void OnTcnSelchangeTab1(NMHDR *pNMHDR, LRESULT *pResult);

public:
	CTabCtrl m_CTabCtrl_Config;
	CEdit m_CEdit_Message;

	CDialogConfigTab1 m_TabDialog1;
	CDialogConfigTab2 m_TabDialog2;
	CDialogConfigTab3 m_TabDialog3;
	CDialogConfigTab4 m_TabDialog4;
	CDialogConfigTab5 m_TabDialog5;
	CDialogConfigTab6 m_TabDialog6;

	afx_msg void OnBnClickedButton1();
	afx_msg void OnBnClickedButton2();
};
